{
  hlConfig,
  ...
}:
rec {
  hostname = "pds";
  managed = false;
  ip = "192.168.10.174";

  traefikRoutes = [
    {
      name = "${hostname}";
      rule = "Host(`${hlConfig.domain}`) || HostRegexp(`.+${
        builtins.replaceStrings [ "." ] [ "\\." ] hlConfig.domain
      }`)";
      target = "http://${ip}:3000";
    }
  ];
}
