{
  ...
}:
{
    boot.supportedFilesystems = [ "btrfs" ];

    fileSystems."/" = {
      device = "none";
      fsType = "tmpfs";
      options = [ "defaults" "mode=755" ];
    };

    fileSystems."/boot" = {
      device = "/dev/disk/by-label/boot";
      fsType = "vfat";
    };

    fileSystems."/nix" = {
      device = "/dev/disk/by-label/btrfs";
      fsType = "btrfs";
      options = [ "compress=zstd" "subvol=nix" "noatime" ];
    };

    fileSystems."/persistent" = {
      device = "/dev/disk/by-label/btrfs";
      fsType = "btrfs";
      options = [ "compress=zstd" "subvol=persistent" "noatime" ];
      autoResize = true;
      neededForBoot = true;
    };

    fileSystems."/media" = {
      device = "vm@b9b22d11-3492-49a6-92b7-b36cdf0161fe.cephfs=/media";
      fsType = "ceph";
      options = [ "nofail" ];
    };
}
